import edu.cmu.cs.ls.keymaerax.core._
import org.scalatest.{FlatSpec, Matchers}
import edu.cmu.cs.ls.keymaerax.parser.StringConverter._

/**
  * Created by manuelf on 5/3/17.
  */
class VirtualSubstitutionTests extends FlatSpec with Matchers {

  "Virtual Substitution" should "virtually substitute" in {
    val myTerm: Term = "1+(2*x)^2".asTerm
    val alsoMyTerm: Term = Plus(Number(1), Power(Times(Number(2), Variable("x")), Number(2)))
    val myFormula: Formula = "1 + x >= (y + 4)^2".asFormula
    "1 + 2 + 3 = (1 + 2) + 3 = 1 + (2 + 3)"
    val alsoMyFormula: Formula = GreaterEqual(Plus(Number(1), Variable("x")), Power(Plus(Variable("y"), Number(4)), Number(4)))
    1 shouldBe 2

    /** Test for RemoveMinus */
    val input1: Term = "1 - 2 + 3." asTerm


  }
}
